<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'usernotice',

    /*
     * Modules.
     */
    'modules'   => ['usernotice'],

    
    'usernotice'       => [
        'model' => [
            'model'                 => \Litecms\Usernotice\Models\Usernotice::class,
            'table'                 => 'usernotices',
            'presenter'             => \Litecms\Usernotice\Repositories\Presenter\UsernoticePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['title',  'start_date',  'expire_date',  'user_id',  'notice'],
            'translatables'         => [],
            'upload_folder'         => 'usernotice/usernotice',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Usernotice',
            'module'    => 'Usernotice',
        ],

    ],
];
