Lavalite package that provides usernotice management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/usernotice`.

    "litecms/usernotice": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Usernotice\Providers\UsernoticeServiceProvider::class,

And also add it to alias

    'Usernotice'  => Litecms\Usernotice\Facades\Usernotice::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\UsernoticeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Usernotice\Providers\UsernoticeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Usernotice\Providers\UsernoticeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Usernotice\Providers\UsernoticeServiceProvider" --tag="view"


## Usage


