<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for usernotice in usernotice package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  usernotice module in usernotice package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Usernotice',
    'names'         => 'Usernotices',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Usernotices',
        'sub'   => 'Usernotices',
        'list'  => 'List of usernotices',
        'edit'  => 'Edit usernotice',
        'create'    => 'Create new usernotice'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'title'                      => 'Enter notice title',
        'start_date'                 => 'Starting date ',
        'expire_date'                => 'Expiring date',
        'user_id'                    => 'Select or enter user',
        'notice'                     => 'Enter notice',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'title'                      => 'Notice Title',
        'start_date'                 => 'Start Date',
        'expire_date'                => 'Expiring Date',
        'user_id'                    => 'user',
        'notice'                     => 'Notice',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Notice Title', 'data-column' => 1, 'checked'],
        'start_date'                 => ['name' => 'Start Date', 'data-column' => 2, 'checked'],
        'expire_date'                => ['name' => 'Expiring Date', 'data-column' => 3, 'checked'],
        'user_id'                    => ['name' => 'user', 'data-column' => 4, 'checked'],
        'notice'                     => ['name' => 'Notice', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Usernotices',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
