<?php

namespace Litecms\Usernotice\Repositories\Eloquent;

use Litecms\Usernotice\Interfaces\UsernoticeRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class UsernoticeRepository extends BaseRepository implements UsernoticeRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.usernotice.usernotice.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.usernotice.usernotice.model.model');
    }
}
